%global momorel 4
%global md5sum_src0 382379d0c4ca4bd73f14b25d3a04b7cc
Summary: omnipresent versatile search interface.
Name: deskbar-applet

Version: 2.14.2
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
URL: http://raphael.slinckx.net/deskbar/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.14/%{name}-%{version}.tar.bz2 %{md5sum_src0}

Source1 : deskbar-applet.png

Patch0: deskbar-applet-2.14.2-configure.patch
Patch1: deskbar-applet-2.14.1.1-server.patch
Patch2: deskbar-applet-2.14.1.1-default-ui.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: gtk+-devel >= 2.8.17
BuildPrereq: pygtk-devel >= 2.8.5
BuildPrereq: pygobject-devel >= 2.10.0
BuildPrereq: gnome-python >= 2.12.4
BuildPrereq: gnome-desktop-devel >= 2.14.0
BuildPrereq: gnome-python-desktop-applet
BuildPrereq: pkgconfig
Requires: gnome-python-desktop-applet
Requires: gnome-python-gconf

%description
The goal of DeskbarApplet is to provide an omnipresent versatile
search interface. By typing search terms into the deskbar entry in
your panel you are presented with the search results as you type.

%prep
%setup -q
%if %{_lib}=="lib64" 
%patch0 -p1 -b .configure
%endif
%patch1 -p1 -b .server~
%patch2 -p1 -b .ui~

%build
%configure \
    --disable-schemas-install \
    --disable-evolution
%make

%install
rm -rf --preserve-root %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make DESTDIR=%{buildroot} install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%__mkdir_p %{buildroot}%{_datadir}/deskbar-applet/pixmaps
%__cp %{SOURCE1} %{buildroot}%{_datadir}/deskbar-applet/pixmaps/deskbar-applet.png

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    deskbar-applet.schemas \
    ; do
    gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in \
    deskbar-applet.schemas \
    ; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done

%postun
/sbin/ldconfig
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/gconf/schemas/deskbar-applet.schemas
%{_libdir}/pkgconfig/deskbar-applet.pc
%{_libdir}/bonobo/servers/Deskbar_Applet.server
%{_libdir}/deskbar-applet
%{_libdir}/python2.4/site-packages/deskbar
%{_datadir}/deskbar-applet
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/deskbar-applet.svg
%{_datadir}/deskbar-applet/pixmaps/deskbar-applet.png

%changelog
* Sun Jul 23 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.14.2-4m)
- add BuildPreReq: gnome-python-desktop-applet

* Sat Jul 22 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.2-3m)
- add Requires 

* Tue May 30 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.14.2-2m)
- revise configure patch

* Tue May 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.2-1m)
- update to 2.14.2

* Sat May 27 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.14.1.1-2m)
- add icon image file (SOURCE1)
- add Patch1 (change icon file path)
- add Patch2 (change ui-name)
 
* Wed Apr 19 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1.1-1m)
- update to 2.14.1.1

* Sun Apr 16 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (2.14.1-2m)
- add configure patch for finding site-packages dir on lib64 env.

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.14.1-1m)
- Initial Build
